EDParserInternal::DeflateStruct Struct Reference

very low structure to help uncompress data More...

## Public Member Functions

| DeflateStruct (long size)
| constructor More...
bool | isEnd () const
| true if we have build of the data More...
bool | push (unsigned char c)
| push a new character More...
bool | sendDuplicated (int num, int depl)
| send a duplicated part of the data More...
bool | treatDelayed (unsigned char c)
| check if there is delayed char, if so treat them More...
bool | getBinaryData (WPXBinaryData &dt) const
| return the content of the block in dt More...

## Protected Attributes

long | m_toWrite
| the number of data that we need to write More...
std::vector< unsigned char > | m_data
| the resulting data More...
size_t | m_dataPos
| the actual pos in m_data More...
std::vector< unsigned char > | m_circQueue
| a circular queue More...
size_t | m_circQueuePos
| the position in the circular queue More...
int | m_numDelayed
| the number of character delayed More...
unsigned char | m_delayedChar
| the delayed character More...

## Private Member Functions

| DeflateStruct (DeflateStruct const &orig)
DeflateStruct & | operator= (DeflateStruct const &orig)

## Detailed Description

very low structure to help uncompress data

## Constructor & Destructor Documentation

EDParserInternal::DeflateStruct::DeflateStruct | ( | long | size | ) |

inline

constructor

EDParserInternal::DeflateStruct::DeflateStruct | ( | DeflateStruct const & | orig | ) |

private

## Member Function Documentation

bool EDParserInternal::DeflateStruct::getBinaryData | ( | WPXBinaryData & | dt | ) | const

inline

return the content of the block in dt

Referenced by EDParser::decodeZone().

bool EDParserInternal::DeflateStruct::isEnd | ( |  | ) | const

inline

true if we have build of the data

Referenced by EDParser::decodeZone().

DeflateStruct& EDParserInternal::DeflateStruct::operator= | ( | DeflateStruct const & | orig | ) |

private

bool EDParserInternal::DeflateStruct::push | ( | unsigned char | c | ) |

inline

push a new character

Referenced by EDParser::decodeZone(), and sendDuplicated().

bool EDParserInternal::DeflateStruct::sendDuplicated | ( | int | num,
|  | int | depl
| ) |  |

send a duplicated part of the data

Referenced by EDParser::decodeZone().

bool EDParserInternal::DeflateStruct::treatDelayed | ( | unsigned char | c | ) |

check if there is delayed char, if so treat them

Referenced by push().

## Member Data Documentation

std::vector<unsigned char> EDParserInternal::DeflateStruct::m_circQueue

protected

a circular queue

Referenced by push(), and sendDuplicated().

size_t EDParserInternal::DeflateStruct::m_circQueuePos

protected

the position in the circular queue

Referenced by push(), and sendDuplicated().

std::vector<unsigned char> EDParserInternal::DeflateStruct::m_data

protected

the resulting data

Referenced by getBinaryData(), push(), and treatDelayed().

size_t EDParserInternal::DeflateStruct::m_dataPos

protected

the actual pos in m_data

Referenced by getBinaryData(), push(), and treatDelayed().

unsigned char EDParserInternal::DeflateStruct::m_delayedChar

protected

the delayed character

Referenced by push(), and treatDelayed().

int EDParserInternal::DeflateStruct::m_numDelayed

protected

the number of character delayed

Referenced by push(), and treatDelayed().

long EDParserInternal::DeflateStruct::m_toWrite

protected

the number of data that we need to write

Referenced by isEnd(), push(), and treatDelayed().

The documentation for this struct was generated from the following file:

- EDParser.cxx